Skip to main content
GET
/
assessments
Assessments in a course
curl --request GET \
  --url https://api.learningcommons.org/knowledge-graph/v0/assessments \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "identifier": "im:d540d085-5435-5b3c-875b-9c810a18d81a",
      "name": "Practice Problems",
      "academicSubject": "Mathematics",
      "gradeLevel": [
        "4",
        "elementary_school"
      ],
      "author": "Illustrative Mathematics",
      "provider": "Learning Commons",
      "inLanguage": "English",
      "educationalUse": "assessment",
      "audience": [
        "Teacher",
        "Student",
        "Family"
      ],
      "license": "https://creativecommons.org/licenses/by-nc/4.0/",
      "curriculumLabel": "Practice Problems",
      "lmsLoadingGuidance": "unspecified",
      "isOptional": false,
      "courseCode": "im360:4",
      "studentGroupingType": "individual",
      "dateCreated": "2021-04-30"
    }
  ],
  "pagination": {
    "limit": 100,
    "nextCursor": null,
    "hasMore": false
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Include your API key in the x-api-key header for all requests.

Query Parameters

courseId
string
required

The unique identifier of the course

lessonId
string

Filter to assessments for a specific lesson (cannot be used with lessonGroupingId)

lessonGroupingId
string

Filter to assessments for a specific lesson grouping (cannot be used with lessonId)

limit
integer
default:100

Maximum number of results to return. Default is 100. Maximum allowed is 1000.

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination. Obtain this value from the 'nextCursor' field in the previous response. Omit for the first page.

Response

Successfully retrieved list of assessments

Generic cursor-based paginated response wrapper

data
object[]
required

Array of result items

pagination
object
required

Cursor-based pagination metadata